f



ADO & the iseries AS400

Has anyone been able to get ADO working with IBM AS400?

0
gchambers01
2/2/2006 4:02:20 PM
comp.clipper.visual-objects 12618 articles. 0 followers. Post Follow

8 Replies
293 Views

Similar Articles

[PageSpeed] 1

Yes,

what OS version are you working with ?

is you install client access the check the oledb drivers

and voila

example :

METHOD ConnectToAs400() AS LONG PASCAL CLASS DB2file
 //p default connection to AS400
 //s
 //
 try
 IF Empty(SELF:db2User) .and. Empty(SELF:db2Password)
      SELF:INloggen()
 ENDIF
 IF SELF:oConn == NULL_OBJECT
  // Set the default connection for better error reports
      SELF:oConn := AdoConnection{}
      SELF:oConn:ConnectionString := "Provider=ibmda400; Data 
Source=IPadress;User 
Id="+Upper(SELF:db2User)+";Password="+AllTrimSELF:db2Password)
  SELF:oConn:Open(NIL,NIL,NIL,NIL)
  SELF:oConn:CursorLocation := AdUseClient
  AdoSetConnection(SELF:oConn)
 ENDIF
    endtry


to get a recordset

csql:="select * from lib.file fetch first 20 rows only"

you can specify the 'library'

or you can set a default thru the connection string



   RS:open(sSql,SELF:oConn,uOpenmode,uLocktype,NIL)


try it

Peter Guetens


provider = ib
<gchambers01@msn.com> schreef in bericht 
news:1138896140.856639.184700@g14g2000cwa.googlegroups.com...
> Has anyone been able to get ADO working with IBM AS400?
> 


0
Peter
2/2/2006 7:09:42 PM
O'm using Windows XP.

0
gchambers01
2/3/2006 2:05:48 PM
i ment the OS/400 version


Peter
<gchambers01@msn.com> schreef in bericht 
news:1138975548.049231.259300@g44g2000cwa.googlegroups.com...
> O'm using Windows XP.
> 


0
Peter
2/3/2006 5:37:23 PM
i ment the OS/400 version

V5R3 ?

Peter
<gchambers01@msn.com> schreef in bericht 
news:1138975548.049231.259300@g44g2000cwa.googlegroups.com...
> O'm using Windows XP.
> 


0
Peter
2/3/2006 5:38:10 PM
I meant the OS400 version

for example V5R3 ?
Peter
<gchambers01@msn.com> schreef in bericht 
news:1138896140.856639.184700@g14g2000cwa.googlegroups.com...
> Has anyone been able to get ADO working with IBM AS400?
> 


0
Peter
2/3/2006 5:42:36 PM
V5R2

0
gchambers01
2/3/2006 5:56:27 PM
Well

do you have a sofwate contract with IBM

if so, I would advive to look at V5R3

a lot of database changes that are usefull


P
<gchambers01@msn.com> schreef in bericht 
news:1138989387.847979.249140@g43g2000cwa.googlegroups.com...
> V5R2
> 


0
Peter
2/3/2006 7:19:47 PM
We have it, but for what ever reason they haven't installed it. I'm
sure it's because the current version of software we are using doesn't
require it. What are some of the benefits?

0
gchambers01
2/4/2006 6:29:35 PM
Reply: